<?php

require_once 'includes/PDO.php';
require_once 'includes/functions.php'; // Inclure les fonctions

$rootDir = realpath(__DIR__ . '/../..'); // Parent directory of fs-admin

// Fonction pour obtenir uniquement les dossiers
function getFolders($dir, &$results = [], $depth = 0) {
    $files = scandir($dir);

    foreach ($files as $key => $value) {
        $path = realpath($dir . DIRECTORY_SEPARATOR . $value);
        if (is_dir($path) && $value != "." && $value != ".." && $value != "fs-admin") {
            $results[] = ['path' => $path, 'depth' => $depth];
            getFolders($path, $results, $depth + 1);
        }
    }
}

$folders = [];
getFolders($rootDir, $folders);

$uploadPath = '';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $uploadPath = $_POST['upload_path'];
}
?>

<h1>Ajouter des fichiers</h1>
<div class="fs-para card-classic">
  <a href="index.php">[retour]</a><br><br>
<form action="?v=add_files" method="post">
    <label for="upload_path">Ajouter dans:</label>
    <select id="upload_path" name="upload_path" required>
        <option value="<?php echo $rootDir; ?>">Dossier racine</option>
        <?php foreach ($folders as $folder): ?>
            <option value="<?php echo $folder['path']; ?>" <?php echo ($uploadPath === $folder['path']) ? 'selected' : ''; ?>>
                <?php echo str_repeat('&nbsp;', $folder['depth'] * 4) . basename($folder['path']); ?>
            </option>
        <?php endforeach; ?>
    </select>
    <br><br>
    <button class="btn-classic" type="submit">Suivant</button>
</form>

<?php if ($_SERVER['REQUEST_METHOD'] == 'POST'): ?>
    <h2>Upload des fichiers dans <?php echo htmlspecialchars($_POST["upload_path"]); ?></h2>
    <div class="upload-area card-classic" id="upload-area">
        Glissez et déposez les fichiers ici ou cliquez pour sélectionner
    </div>
    <input type="file" id="file-input" multiple style="display: none;">
    <div id="progress-container" style="display:none;">
        <div id="progress-bar"></div>
    </div>
    <ul id="file-list" class="file-list"></ul>

    <script>
        const uploadPath = '<?php echo htmlspecialchars($uploadPath); ?>';
        let uploadedFiles = [];
    </script>
    <script src="assets/upload.js"></script>
<?php endif; ?>
</div>
