<?php

require_once 'includes/PDO.php';



// Check if path and type are set in the GET request
if (!isset($_GET['f']) || !isset($_GET['t'])) {
    echo "Invalid request.";
    exit;
}

$path = $_GET['f'];
$type = $_GET['t'];
$name = basename($path);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['delete'])) {
        if ($type == 'file') {
            if (unlink($path)) {
                $message = "Le fichier '$name' a été supprimé avec succès.";
            } else {
                $message = "Erreur lors de la suppression du fichier '$name'.";
            }
        } elseif ($type == 'dir') {
            if (deleteDirectory($path)) {
                $message = "Le dossier '$name' a été supprimé avec succès.";
            } else {
                $message = "Erreur lors de la suppression du dossier '$name'.";
            }
        }
    } elseif (isset($_POST['cancel'])) {
        header('Location: index.php');
        exit;
    }
}
?>
<h1>Supprimer <?php echo htmlspecialchars($name); ?></h1>
<div class="fs-para card-classic">

    <?php if (isset($message)): ?>
        <p><?php echo $message; ?></p>
        <a href="index.php">[Retour à l'admin]</a>
    <?php else: ?>
        <form action="?v=delete_file&f=<?php echo urlencode($path); ?>&t=<?php echo htmlspecialchars($type); ?>" method="post">
            <p>Voulez-vous vraiment supprimer <?php echo htmlspecialchars($name); ?> ?</p>
            <button class="btn-classic" type="submit" name="delete">Oui</button>
            <button class="btn-classic" type="submit" name="cancel">Retour</button>
        </form>
    <?php endif; ?>
  </div>
