<?php
require_once 'includes/PDO.php';
require_once 'includes/functions.php'; // Inclure les fonctions

$rootDir = realpath(__DIR__ . '/../..'); // Parent directory of fs-admin
$baseUrl = (empty($_SERVER['HTTPS']) ? 'http' : 'https') . '://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['SCRIPT_NAME'], 2); // Base URL of the application

// Récupérer le chemin du fichier à partir des paramètres GET
if (isset($_GET['f'])) {
    $filePath = realpath($_GET['f']);
    if (strpos($filePath, $rootDir) !== 0) {
        die("Chemin de fichier invalide.");
    }

    $fileContent = file_get_contents($filePath);
} else {
    die("Aucun fichier spécifié.");
}

// Fonction pour obtenir tous les fichiers
function getAllFiles($dir, &$results = []) {
    $files = scandir($dir);
    foreach ($files as $key => $value) {
        $path = realpath($dir . DIRECTORY_SEPARATOR . $value);
        if (!is_dir($path)) {
            $results[] = $path;
        } elseif ($value != "." && $value != ".." && $value != "fs-admin") {
            getAllFiles($path, $results);
        }
    }
}

$allFiles = [];
getAllFiles($rootDir, $allFiles);
?>




    <div class="fs-para card-classic">
      <a href="index.php">[retour]</a><br><br>
<div class="editor-container-e">
    <div class="editor" >
        <h2>Edition de: <?php echo basename($filePath); ?></h2>
        <textarea style="width : 40vw;" id="code-editor"><?php echo htmlspecialchars($fileContent); ?></textarea>
        <br><br>
        <button class="btn-classic" id="save-button">Modifier</button>
    </div>
    <div class="viewer">
        <h2>Visualiser le fichier</h2>
        <select id="file-selector">
            <?php foreach ($allFiles as $file): ?>
                <option value="<?php echo str_replace($rootDir, '', $file); ?>" <?php echo ($file === $filePath) ? 'selected' : ''; ?>>
                    <?php echo str_replace($rootDir . DIRECTORY_SEPARATOR, '', $file); ?>
                </option>
            <?php endforeach; ?>
        </select>
        <br><br>
        <iframe class="card-classic" id="file-viewer" src="<?php echo $baseUrl . str_replace($rootDir, '', $filePath); ?>" style="width:90%; height:80vh;"></iframe>
    </div>
</div>
</div>



<script>


    document.getElementById('save-button').addEventListener('click', function () {
        var editor = document.getElementById('code-editor').value;
        var xhr = new XMLHttpRequest();
        xhr.open('POST', 'includes/save_file.php', true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.send('file=' + encodeURIComponent('<?php echo $filePath; ?>') + '&content=' + encodeURIComponent(editor));

        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                alert('Fichier sauvegardé.');
            }
        };
    });

    document.getElementById('file-selector').addEventListener('change', function () {
        var viewer = document.getElementById('file-viewer');
        viewer.src = '<?php echo $baseUrl; ?>' + this.value;
    });
</script>
