<?php
require_once 'functions.php';

header('Content-Type: application/json');

if (!isset($_GET['uid'])) {
    echo json_encode(['success' => false, 'message' => 'UID manquant.']);
    exit;
}

$uid = $_GET['uid'];
$transfer = get_transfer($uid);

if (!$transfer) {
    echo json_encode(['success' => false, 'message' => 'Transfer introuvable.']);
    exit;
}

$target_dir = "../transfers_folder/$uid/";

$files = [];
if ($handle = opendir($target_dir)) {
    while (false !== ($entry = readdir($handle))) {
        if ($entry != "." && $entry != "..") {
            $file_path = $target_dir . $entry;
            $file_size = filesize($file_path);
            $files[] = ['name' => $entry, 'size' => $file_size];
        }
    }
    closedir($handle);
}

echo json_encode(['success' => true, 'files' => $files]);
?>
