<?php
require_once 'includes/PDO.php';
require_once 'includes/functions.php'; // Inclure les fonctions

$rootDir = realpath(__DIR__ . '/../..'); // Parent directory of fs-admin

// Fonction pour obtenir uniquement les dossiers
function getFolders($dir, &$results = [], $depth = 0) {
    $files = scandir($dir);

    foreach ($files as $key => $value) {
        $path = realpath($dir . DIRECTORY_SEPARATOR . $value);
        if (is_dir($path) && $value != "." && $value != ".." && $value != "fs-admin") {
            $results[] = ['path' => $path, 'depth' => $depth];
            getFolders($path, $results, $depth + 1);
        }
    }
}

$folders = [];
getFolders($rootDir, $folders);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $newFolderName = trim($_POST['folder_name']);
    $parentFolder = $_POST['parent_folder'];

    if (!empty($newFolderName)) {
        $newFolderPath = realpath($parentFolder) . DIRECTORY_SEPARATOR . $newFolderName;
        if (!file_exists($newFolderPath)) {
            mkdir($newFolderPath, 0755, true);
            $message = "Le dossier '$newFolderName' a été créé avec succès.";
        } else {
            $message = "Le dossier '$newFolderName' existe déjà.";
        }
    } else {
        $message = "Veuillez entrer un nom de dossier valide.";
    }
}
?>

<h1>Ajouter un nouveau dossier</h1>
<div class="fs-para card-classic">
  <a href="index.php">[retour]</a><br><br>
<?php if (isset($message)): ?>
    <p><?php echo $message; ?></p>
<?php endif; ?>
<form action="?v=new_folder" method="post">
    <label for="folder_name">Nom du dossier:</label>
    <input type="text" id="folder_name" name="folder_name" required>

    <label for="parent_folder">Ajouter dans:</label>
    <select id="parent_folder" name="parent_folder" required>
        <option value="<?php echo $rootDir; ?>">Dossier racine</option>
        <?php foreach ($folders as $folder): ?>
            <option value="<?php echo $folder['path']; ?>">
                <?php echo str_repeat('&nbsp;', $folder['depth'] * 4) . basename($folder['path']); ?>
            </option>
        <?php endforeach; ?>
    </select>
    <br><br>
    <button class="btn-classic" type="submit">Créer</button>
</form>
</div>
