<?php
require_once 'includes/PDO.php';

function getSetting($pdo, $settingName) {
    $stmt = $pdo->prepare("SELECT $settingName FROM fs_settings LIMIT 1");
    $stmt->execute();
    return $stmt->fetchColumn();
}

function getPrompt($pdo) {
    $stmt = $pdo->prepare("SELECT prompt FROM fs_prompt LIMIT 1");
    $stmt->execute();
    return $stmt->fetchColumn();
}

function updateSetting($pdo, $settingName, $settingValue) {
    $stmt = $pdo->prepare("UPDATE fs_settings SET $settingName = ? WHERE 1");
    $stmt->execute([$settingValue]);
}

function updatePrompt($pdo, $settingValue) {
    $stmt = $pdo->prepare("UPDATE fs_prompt SET prompt = ? WHERE 1");
    $stmt->execute([$settingValue]);
}

function updatePw($pdo, $settingValue) {
    $stmt = $pdo->prepare("UPDATE fs_user SET password = ? WHERE 1");
    $stmt->execute([$settingValue]);
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $siteName = $_POST['site_name'];
    $email = $_POST['email'];
    $gptApi = $_POST['gpt_api'];
    $newprompt = $_POST['intro_prompt'];
    $newpw = $_POST['pw'];

    updateSetting($pdo, 'site_name', $siteName);
    updateSetting($pdo, 'email', $email);
    updateSetting($pdo, 'gpt_api', $gptApi);
    updatePrompt($pdo,  $newprompt);
    updatePw($pdo,  $newpw);

    $message = "Les paramètres ont été mis à jour avec succès.";
}

$siteName = getSetting($pdo, 'site_name');
$email = getSetting($pdo, 'email');
$gptApi = getSetting($pdo, 'gpt_api');
$prompt = getPrompt($pdo);


?>

<h1>Modifier les paramètres FS</h1>
<div class="fs-para card-classic">
  <a href="index.php">[retour]</a><br><br>

  <?php if (isset($message)): ?>
      <p><?php echo $message; ?></p>
  <?php endif; ?>
  <form action="?v=parameters" method="post">
      <label for="site_name">Nom du site :</label>
      <input type="text" id="site_name" name="site_name" value="<?php echo htmlspecialchars($siteName); ?>" required>

      <label for="email">Email :</label>
      <input type="email" id="email" name="email" value="<?php echo htmlspecialchars($email); ?>" required>

      <label for="pw">Mot de passe :</label>
      <input type="password" id="pw" name="pw" value="" >

      <label for="gpt_api">Clé API GPT :</label>
      <input type="text" id="gpt_api" name="gpt_api" value="<?php echo htmlspecialchars($gptApi); ?>" >

      <label for="gpt_api">Prompt d'intro :</label>
      <textarea name="intro_prompt" required><?php echo$prompt; ?></textarea>
      <p class="lowt">Modifier le prompt d'intro peut être dangereux.</p>

      <br><br>
      <button class="btn-classic" type="submit">Modifier</button>
  </form>
</div>
