<?php
require_once 'includes/PDO.php';



$rootDir = realpath(__DIR__ . '/../..');  // Parent directory of fs-admin
$files = [];
$totalSize = 0;
getFilesAndSizes($rootDir, $files, $totalSize);
$fileCount = count($files);
$formattedSize = formatSizeUnits($totalSize);

// Get the API key
$stmt = $pdo->prepare("SELECT `gpt_api` FROM fs_settings LIMIT 1");
$stmt->execute();
$apiKey = $stmt->fetchColumn();

if ($apiKey) {
    $apiKeyDisplay = substr($apiKey, 0, 4) . '****' . substr($apiKey, -4);
} else {
    $apiKeyDisplay = '<a href="?v=parameters">[Ajouter]</a>';
}

// Count file types
$fileTypes = [];
foreach ($files as $file) {
    $extension = pathinfo($file, PATHINFO_EXTENSION);
    if (!isset($fileTypes[$extension])) {
        $fileTypes[$extension] = 0;
    }
    $fileTypes[$extension]++;
}

// Calculate file type percentages
$totalFiles = array_sum($fileTypes);
$fileTypePercentages = [];
foreach ($fileTypes as $extension => $count) {
    $fileTypePercentages[$extension] = ($count / $totalFiles) * 100;
}

?>

<p>Nombre de fichiers: <?php echo $fileCount; ?></p>
<p>Taille totale des fichiers: <?php echo $formattedSize; ?></p>
<p>Clé d'API GPT: <?php echo $apiKeyDisplay; ?></p>

<div class="progress-bar-container">
    <?php foreach ($fileTypePercentages as $extension => $percentage): ?>
        <div class="progress-bar" style="width: <?php echo $percentage; ?>%;">
            <span><?php echo strtoupper($extension); ?> <?php echo number_format($percentage, 2); ?>%</span>
        </div>
    <?php endforeach; ?>
</div>
