<?php
// upload.php
session_start();

if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode(['success' => false, 'message' => 'Méthode de requête non valide.']);
    exit;
}

$uploadPath = $_POST['uploadPath'] ?? '';
$chunkIndex = $_POST['chunkIndex'] ?? 0;
$totalChunks = $_POST['totalChunks'] ?? 0;
$fileName = $_POST['fileName'] ?? '';

if (!$uploadPath || !$fileName) {
    echo json_encode(['success' => false, 'message' => 'Chemin de téléchargement ou nom de fichier manquant.']);
    exit;
}

$targetDir = $uploadPath;
if (!file_exists($targetDir)) {
    mkdir($targetDir, 0777, true);
}

$targetFile = $targetDir . DIRECTORY_SEPARATOR . $fileName;

// Assemble chunks
$fileData = file_get_contents($_FILES['file']['tmp_name']);
$chunkFile = fopen($targetFile . '_part' . $chunkIndex, 'w');
fwrite($chunkFile, $fileData);
fclose($chunkFile);

// Merge chunks if it's the last chunk
if ($chunkIndex == $totalChunks - 1) {
    $finalFile = fopen($targetFile, 'w');

    for ($i = 0; $i < $totalChunks; $i++) {
        $partFile = fopen($targetFile . '_part' . $i, 'r');
        while ($data = fread($partFile, 1024)) {
            fwrite($finalFile, $data);
        }
        fclose($partFile);
        unlink($targetFile . '_part' . $i);
    }

    fclose($finalFile);
}

echo json_encode(['success' => true]);
