<?php
session_start();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $site_name = $_POST['site_name'];
    $email = $_POST['email'];
    $password = md5($_POST['password']);
    $user_name = $_POST['user_name'];
    $db_host = $_POST['db_host'];
    $db_user = $_POST['db_user'];
    $db_pass = $_POST['db_pass'];
    $db_name = $_POST['db_name'];

    // Create config file
    $config_content = "<?php\n";
    $config_content .= "define('DB_HOST', '$db_host');\n";
    $config_content .= "define('DB_USER', '$db_user');\n";
    $config_content .= "define('DB_PASS', '$db_pass');\n";
    $config_content .= "define('DB_NAME', '$db_name');\n";
    file_put_contents('fs-admin/includes/config.php', $config_content);

    // Connect to the database
    $conn = new mysqli($db_host, $db_user, $db_pass);

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Create database
    $sql = "CREATE DATABASE IF NOT EXISTS $db_name";
    if ($conn->query($sql) !== TRUE) {
        die("Error creating database: " . $conn->error);
    }

    // Select the database
    $conn->select_db($db_name);

    // Create tables
    $sql = "CREATE TABLE IF NOT EXISTS fs_settings (
                id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
                site_name VARCHAR(255) NOT NULL,
                email VARCHAR(255) NOT NULL,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
            )";
    if ($conn->query($sql) !== TRUE) {
        die("Error creating table: " . $conn->error);
    }

    $sql = "CREATE TABLE IF NOT EXISTS fs_users (
                id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
                name VARCHAR(255) NOT NULL,
                email VARCHAR(255) NOT NULL,
                password VARCHAR(255) NOT NULL,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
            )";
    if ($conn->query($sql) !== TRUE) {
        die("Error creating table: " . $conn->error);
    }

    $sql = "CREATE TABLE fs_prompt (
              id INT AUTO_INCREMENT PRIMARY KEY,
              type VARCHAR(50) NOT NULL,
              prompt TEXT NOT NULL
            )";
    if ($conn->query($sql) !== TRUE) {
        die("Error creating table: " . $conn->error);
    }



    // Insert default data
    $sql = "INSERT INTO fs_settings (site_name, email) VALUES ('$site_name', '$email')";
    if ($conn->query($sql) !== TRUE) {
        die("Error inserting data: " . $conn->error);
    }

    $sql = "INSERT INTO fs_users (name, email, password) VALUES ('$user_name', '$email', '$password')";
    if ($conn->query($sql) !== TRUE) {
        die("Error inserting data: " . $conn->error);
    }

    $sql = "INSERT INTO fs_prompt (type, prompt) VALUES ('pr_intro', 'Tu es un développeur web qui ne doit répondre qu\'avec le code que l\'utilisateur te demande de générer.')";
    if ($conn->query($sql) !== TRUE) {
        die("Error inserting data: " . $conn->error);
    }

    // Close the connection
    $conn->close();

    // Copy index-mirror.php to index.php
    if (!copy('fs-admin/index-mirror.php', 'index.php')) {
        die("Error copying index-mirror.php to index.php");
    }

    // Redirect to admin login page
    header('Location: fs-admin/');
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FlowScope Installation</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Unbounded:wght@200..900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="fs-admin/assets/ins-style.css">
</head>
<body>
    <div id="welcome" class="welcome">
        <h1>Bienvenue sur FlowScope</h1>
    </div>
    <div class="container" id="install-container">
        <h1>Bienvenue sur FlowScope</h1>
        <form id="install-form" method="post">
            <label for="site_name">Site Name:</label>
            <input type="text" id="site_name" name="site_name" required>

            <label for="email">Email:</label>
            <input type="email" id="email" name="email" required>

            <label for="password">Password:</label>
            <input type="password" id="password" name="password" required>

            <label for="user_name">User Name:</label>
            <input type="text" id="user_name" name="user_name" required>

            <label for="db_host">Database Host:</label>
            <input type="text" id="db_host" name="db_host" required>

            <label for="db_user">Database User:</label>
            <input type="text" id="db_user" name="db_user" required>

            <label for="db_pass">Database Password:</label>
            <input type="password" id="db_pass" name="db_pass" required>

            <label for="db_name">Database Name:</label>
            <input type="text" id="db_name" name="db_name" required>
            <br>
            <button type="submit">Install</button>
        </form>
        <div id="message"></div>
    </div>
    <script src="fs-admin/assets/ins-script.js"></script>
</body>
</html>
